

-- Called when the weapon is created.

     function onInit( )
          _SWEPSetSound( MyIndex, "single_shot", "Weapon_p90.Single" );
     end


-- Weapon settings.
-- These are only accessed once when setting the weapon up


     function getWeaponSwapHands()
          return true;     
     end
     

     function getWeaponFOV()

          return 74;     

     end

     function onDrop()
	_EntEmitSound(Owner,"npc/overwatch/radiovoice/die"..math.random(1,3)..".wav")
	end

     function getWeaponSlot()

          return 1;     

     end

     

     function getWeaponSlotPos()

          return 2;     

     end

     

     function getFiresUnderwater()

          return true;

     end

     

     function getReloadsSingly()

          return false;

     end

     

     function getDamage()

          return 9;

     end

     

     function getPrimaryShotDelay()

          return 0.079;

     end

     
     function getPrimaryIsAutomatic()

          return true;

     end

          

     function getBulletSpread()

          return vector3( -0.045, 0.05, 0.05 );

     end

     

     function getViewKick()

          return vector3( -1.3, 0.0, 0.0);

     end

     

     function getViewKickRandom()

          return vector3( -1.4, 0.35, 0.35 );

     end

     


     function getViewModel( )
          return "models/weapons/v_smg_p90.mdl";
     end

     function getWorldModel( )
          return "models/weapons/w_smg_p90.mdl";
     end

     

     function getClassName()

          return "weapon_p90";

     end



     function getPrimaryAmmoType()

          return "SMG1";

     end

          

     function getSecondaryAmmoType()

          return "none";

     end

     

     -- return -1 if it doesn't use clips

     function getMaxClipPrimary()

          return 50;

     end

     

     function getMaxClipSecondary()

          return -1;

     end

     

     -- ammo in gun by default

     function getDefClipPrimary()

          return 150;

     end

     

     function getDefClipSecondary()

          return -1;

     end



     -- pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade

     function getAnimPrefix()

          return "smg";

     end



     function getPrintName()

          return "FN-P90";

     end

     


     -- 0 = Don't override, shoot bullets, make sound and flash

     -- 1 = Don't shoot bullets but do make flash/sounds

     -- 2 = Only play animations

     -- 3 = Don't do anything

     

     function getPrimaryScriptOverride()

          return 0;

     end



     function getSecondaryScriptOverride()

          return 3;

     end
     
  	function getDeathIcon( )
		return "d_p90";
	end